local ch = classicHeals;

local LOCALE_ENGLISH = "enUS";
local LOCALE_GERMAN = "deDE";
local LOCALE_DEFAULT = LOCALE_ENGLISH;

ch.LKEY_ADDONLOADED 			= 0;
ch.LKEY_FULL 					= 1;
ch.LKEY_COMMANDS 				= 2;
ch.LKEY_COMMANDS_OVERHEAL 		= 3;
ch.LKEY_COMMANDS_OVERHEAL_SET 	= 4;

local currentLocale = GetLocale();
local allLanguages = {};

allLanguages[LOCALE_ENGLISH] = {};
allLanguages[LOCALE_ENGLISH][ch.LKEY_ADDONLOADED] 					= "AddOn loaded. Type /classicheals for options.";
allLanguages[LOCALE_ENGLISH][ch.LKEY_FULL] 						= "full";
allLanguages[LOCALE_ENGLISH][ch.LKEY_COMMANDS] 					= "Unknown command. Possible parameters are: /classicheals ...";
allLanguages[LOCALE_ENGLISH][ch.LKEY_COMMANDS_OVERHEAL] 			= "... overheal -> toggles overheal display";
allLanguages[LOCALE_ENGLISH][ch.LKEY_COMMANDS_OVERHEAL_SET] 		= "Overheal will be displayed: ";

allLanguages[LOCALE_GERMAN] = {};
allLanguages[LOCALE_GERMAN][ch.LKEY_ADDONLOADED] 					= "AddOn geladen. Tippe /classicheals für Optionen.";
allLanguages[LOCALE_GERMAN][ch.LKEY_FULL] 							= "voll";
allLanguages[LOCALE_GERMAN][ch.LKEY_COMMANDS] 						= "Unbekannter Befehl. Mögliche Parameter sind: /classicheals ...";
allLanguages[LOCALE_GERMAN][ch.LKEY_COMMANDS_OVERHEAL] 			= "... overheal -> schaltet um, ob Overheal angezeigt wird";
allLanguages[LOCALE_GERMAN][ch.LKEY_COMMANDS_OVERHEAL_SET] 		= "Overheal wird angezeigt: ";

function ch:GetText(key, locale)
	if locale == nil then
		locale = currentLocale;
	end

	local L = allLanguages[locale];	
	if L == nil then
		L = allLanguages[LOCALE_DEFAULT];
	end

	if L[key] == nil then
		return "[unknown text tag]";
	end
	
	return L[key];
end

